Subject: Re: bug#67061: [PATCH] Improve syntax highlighting for python-ts-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Nov 2023 13:00:59 +0200

> From: Denis Zubarev <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Date: Sat, 11 Nov 2023 13:52:45 +0300
> 
>  My only comment is that we should decide in which fontification
>  level(s) should the additional fontifications be.
> 
> I didn't add any new features, just tweak the old ones to be more correct.

I thought at least some of these are new:

> > - Fontify compound keywords "not in" and "is not" (fixes bug#67015)
> > - Fix fontification of strings inside of f-strings interpolation,
> >    e.g. for f"beg {'nested'}" - 'nested' was not fontified as string.
> > - Do not override the face of builtin functions (all, bytes etc.) with
> >   the function call face
> > - Add missing assignment expressions
> > - Fontify built-ins (dict,list,etc.) as types when they are used in type hints

For example, isn't the first item an addition?  And what about
"missing assignment expressions"?

>  What problems with CI did you see? I don't think I understand your
>  last sentence above.
> 
> I've grepped the codebase and found those lines:
>  
> TREE-SITTER-FILES ?= $(shell cd .. ; \
>   find lisp src \( -name "*-ts-mode-tests.el" -o -name "treesit-tests.el" \) | \
>   sort | sed s/\\.el/.log/)
>  
> in test/infra/Makefile.in
> I thought that tree-sitter tests  should go to either *-ts-mode-tests.el or treesit-tests.el files.

No, I don't think so.  If having them in python-tests.el triggers some
problems, please show them, and let's take it from there.

>  Would you like to start your assignment copyright
>  paperwork rolling at this time? If yes, I will send you the form to
>  fill and the instructions to email it.
> 
> Yes, please.

Thanks, form sent off-list.